import type { Client } from 'discord.js';
import type CommonEvent from './CommonEvent';
export default class DiscordTracker {
    /**
     * Whether to catch discord updates or not
     */
    private working;
    /**
     * The Discord.js Client that we are working with
     */
    private client;
    /**
     * The list of user IDs that we are tracking
     */
    users: Set<string>;
    /**
     * The list of handlers that we are tracking
     */
    handlers: Map<string, (event: CommonEvent) => void>;
    /**
     * @param client The discord client that we will work with (use v11 to retain the ability to use custom tokens)
     */
    constructor(client: Client);
    private registerTracker;
    /**
     * Used to dispatch events of type CommonEvent
     * @param event The CommonEvent object
     */
    private send;
    /**
     * Start the Discord stalker
     */
    start(): void;
    /**
     * Stop the discord stalker
     */
    stop(): void;
}
